/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * Model142
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model142 {
  @SerializedName("title")
  private String title = null;

  @SerializedName("first_name")
  private String firstName = null;

  @SerializedName("last_name")
  private String lastName = null;

  @SerializedName("birth_date")
  private LocalDate birthDate = null;

  @SerializedName("country")
  private String country = null;

  @SerializedName("address")
  private String address = null;

  @SerializedName("zip_code")
  private String zipCode = null;

  @SerializedName("city")
  private String city = null;

  @SerializedName("email")
  private String email = null;

  @SerializedName("phone")
  private String phone = null;

  @SerializedName("additional_data")
  private Model141 additionalData = null;

  public Model142 title(String title) {
    this.title = title;
    return this;
  }

   /**
   * Civility of the policy holder (e.g.: Miss/Mr)
   * @return title
  **/
  @ApiModelProperty(example = "Mr", value = "Civility of the policy holder (e.g.: Miss/Mr)")
  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public Model142 firstName(String firstName) {
    this.firstName = firstName;
    return this;
  }

   /**
   * First name
   * @return firstName
  **/
  @ApiModelProperty(example = "Willow", required = true, value = "First name")
  public String getFirstName() {
    return firstName;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  public Model142 lastName(String lastName) {
    this.lastName = lastName;
    return this;
  }

   /**
   * Last name
   * @return lastName
  **/
  @ApiModelProperty(example = "Koy", required = true, value = "Last name")
  public String getLastName() {
    return lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public Model142 birthDate(LocalDate birthDate) {
    this.birthDate = birthDate;
    return this;
  }

   /**
   * Birth date, ISO 8601 format (YYYY-MM-DD)
   * @return birthDate
  **/
  @ApiModelProperty(example = "1982-08-09", value = "Birth date, ISO 8601 format (YYYY-MM-DD)")
  public LocalDate getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(LocalDate birthDate) {
    this.birthDate = birthDate;
  }

  public Model142 country(String country) {
    this.country = country;
    return this;
  }

   /**
   * Home country, ISO-3166-1 alpha-2 format (2 letter codes)
   * @return country
  **/
  @ApiModelProperty(example = "fr", required = true, value = "Home country, ISO-3166-1 alpha-2 format (2 letter codes)")
  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }

  public Model142 address(String address) {
    this.address = address;
    return this;
  }

   /**
   * Home address
   * @return address
  **/
  @ApiModelProperty(example = "14 rue du puit", required = true, value = "Home address")
  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public Model142 zipCode(String zipCode) {
    this.zipCode = zipCode;
    return this;
  }

   /**
   * Zip code
   * @return zipCode
  **/
  @ApiModelProperty(example = "14878", required = true, value = "Zip code")
  public String getZipCode() {
    return zipCode;
  }

  public void setZipCode(String zipCode) {
    this.zipCode = zipCode;
  }

  public Model142 city(String city) {
    this.city = city;
    return this;
  }

   /**
   * City
   * @return city
  **/
  @ApiModelProperty(example = "Cyr", required = true, value = "City")
  public String getCity() {
    return city;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public Model142 email(String email) {
    this.email = email;
    return this;
  }

   /**
   * Email
   * @return email
  **/
  @ApiModelProperty(example = "reysery@eh.com", required = true, value = "Email")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public Model142 phone(String phone) {
    this.phone = phone;
    return this;
  }

   /**
   * Phone number
   * @return phone
  **/
  @ApiModelProperty(example = "12", required = true, value = "Phone number")
  public String getPhone() {
    return phone;
  }

  public void setPhone(String phone) {
    this.phone = phone;
  }

  public Model142 additionalData(Model141 additionalData) {
    this.additionalData = additionalData;
    return this;
  }

   /**
   * Get additionalData
   * @return additionalData
  **/
  @ApiModelProperty(value = "")
  public Model141 getAdditionalData() {
    return additionalData;
  }

  public void setAdditionalData(Model141 additionalData) {
    this.additionalData = additionalData;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model142 model142 = (Model142) o;
    return Objects.equals(this.title, model142.title) &&
        Objects.equals(this.firstName, model142.firstName) &&
        Objects.equals(this.lastName, model142.lastName) &&
        Objects.equals(this.birthDate, model142.birthDate) &&
        Objects.equals(this.country, model142.country) &&
        Objects.equals(this.address, model142.address) &&
        Objects.equals(this.zipCode, model142.zipCode) &&
        Objects.equals(this.city, model142.city) &&
        Objects.equals(this.email, model142.email) &&
        Objects.equals(this.phone, model142.phone) &&
        Objects.equals(this.additionalData, model142.additionalData);
  }

  @Override
  public int hashCode() {
    return Objects.hash(title, firstName, lastName, birthDate, country, address, zipCode, city, email, phone, additionalData);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model142 {\n");
    
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("    firstName: ").append(toIndentedString(firstName)).append("\n");
    sb.append("    lastName: ").append(toIndentedString(lastName)).append("\n");
    sb.append("    birthDate: ").append(toIndentedString(birthDate)).append("\n");
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    zipCode: ").append(toIndentedString(zipCode)).append("\n");
    sb.append("    city: ").append(toIndentedString(city)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    phone: ").append(toIndentedString(phone)).append("\n");
    sb.append("    additionalData: ").append(toIndentedString(additionalData)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

